<template>
  <transition-group
    name="lists"
    tag="main"
    class="grid gap-10 font-medium sm:grid-cols-1 md:grid-cols-2 lg:grid-cols-3 xl:grid-cols-4 2xl:grid-cols-5"
  >
    <TaskList
      v-for="list in store.lists"
      :key="list.id"
      :list="list"
      class="transition-all duration-500"
    />
  </transition-group>
</template>

<script lang="ts" setup>
import { useTasksStore } from '~/stores/tasks';
import { TaskList } from '~widgets/tasks';

definePageMeta({
  layout: 'tasks',
  middleware: 'tasks',
});
const store = useTasksStore();
</script>
